TAU_POE(1)

NAME
tau_poe - Instruments a MPI application while it is being executed with poe.

SYNOPSIS

tau_poe [-XrunTAUsh- tauOptions] {applcation} [poe options]

DESCRIPTION

This tool dynamically instruments a mpi application by loading a specific mpi library file.

OPTIONS

tauOptions To instrument a mpi application a specific TAU library file is loaded when the application is executed. To select which library is loaded use this option. The library files are build according to the options set when TAU is configured. The library file that have been build and thus available for use are in the [TAU_HOME]/[arch]/lib directory. The file are listed as libTAUsh-*.so where * is the instrumentation options. For example to use the libTAUsh-pdt-openmp-opari.so file let the comman line option be -XrunTAUsh-pdt-openmp-opari.

EXAMPLES

Instrument a.out wit the currently configured options and then run it on four nodes:

%>tau_poe ./a.out -procs 4

Select the libTAUsh-mpi.so library to instrument a.out with:

%>tau_poe -XrunTAUsh-mpi ./a.out -procs 4